(define-module (pycodegen)
 #:use-module (guix packages)
 #:use-module (guix download)
 #:use-module (guix build-system python)
 #:use-module (guix build-system pyproject)
 #:use-module (guix licenses)
 #:use-module (gnu packages)
 #:use-module (gnu packages version-control)
 #:use-module (gnu packages python-xyz)
 #:use-module (gnu packages python-build)
 #:use-module (gnu packages python-check)
 #:use-module (gnu packages check))

(define-public python-pytest-html
 (package
  (name "python-pytest-html")
  (version "3.2.0")
  (source (origin
           (method url-fetch)
           (uri (pypi-uri "pytest-html" version))
           (sha256
            (base32
             "1hw7wvxiibq4wq24d2gnqaxq3pvi7s54l5yj3bskgi7z1fxz9qn4"))))
  (build-system python-build-system)
  (propagated-inputs (list python-py python-pytest python-pytest-metadata))
  (native-inputs (list python-setuptools-scm))
  (home-page "https://github.com/pytest-dev/pytest-html")
  (synopsis "pytest plugin for generating HTML reports")
  (description "pytest plugin for generating HTML reports")
  (license #f)))

(define-public python-randomgen
 (package
  (name "python-randomgen")
  (version "1.23.1")
  (source (origin
           (method url-fetch)
           (uri (pypi-uri "randomgen" version))
           (sha256
            (base32
             "0z61msi94pj8yx0xxk44qf5xhmawysfn9j7h1939lqplzkl1jqw2"))))
  (build-system python-build-system)
  (propagated-inputs (list python-numpy python-cython))
  (native-inputs (list python-wheel python-packaging python-cython python-pytest python-setuptools python-setuptools-scm))
  (home-page "https://github.com/bashtage/randomgen")
  (synopsis "Random generator supporting multiple PRNGs")
  (description "Random generator supporting multiple PRNGs")
  (license #f)))

(define-public python-pystencils
 (package
  (name "python-pystencils")
  (version "1.1.1")
  (source (origin
           (method url-fetch)
           (uri (pypi-uri "pystencils" version))
           (sha256
            (base32
             "02n5r1rn5pdiy037wnpx2786mbq1ngs732jkdch7mm57sx2m8yj7"))))
  (build-system python-build-system)
  (propagated-inputs (list python-appdirs
                      python-joblib
                      python-numpy
                      python-sympy))
  (native-inputs
   (list
    python-pytest
    python-pytest-cov
    python-pytest-html
    python-pytest-xdist
    python-ansi2html
    python-flake8
    python-nbformat
    python-nbconvert
    python-ipython
    python-randomgen))
  (home-page "https://i10git.cs.fau.de/pycodegen/pystencils/")
  (synopsis "Speeding up stencil computations on CPUs and GPUs")
    (description "Speeding up stencil computations on CPUs and GPUs")
(license #f)))
