#!/usr/bin/env python
from setuptools import find_packages, setup

setup(name="cb-util",
      version="0.1",
      description="Collection of scripts and wrapper of contious benchmarking",
      author="Christoph Alt",
      author_email="Christoph.alt@fau.de",
      packages=find_packages(include=["cbutil",
                                      "cbutil.postprocessing",
                                      "dashboards",
                                      "plotting"]),
      package_data={"plotting": ["*.json"]},
      entry_points={
          'console_scripts':
          'get_frequency = cbutil.cpu_frequency:main'
      },
      install_requires=[
          "python-dotenv",
          "influxdb",
          "gitpython",
          "grafanalib",
          "requests",
          "plotly",
          "kaleido",
          "kadi-apy",
          "importlib_resources ; python_version<'3.7'",
      ],
      setup_requires=['pytest-runner'],
      tests_require=['pytest']
      )
